Package: org.gradle.api.tasks.scala

## [Groovy] Class AntScalaDoc

- org.gradle.api.tasks.scala.AntScalaDoc

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntScalaDoc (org.gradle.api.internal.project.IsolatedAntBuilder antBuilder)`
    `AntScalaDoc (org.gradle.api.internal.project.IsolatedAntBuilder antBuilder, Iterable<File> bootclasspathFiles, Iterable<File> extensionDirs)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `execute(FileCollection source, File targetDir, Iterable<File> classpathFiles, Iterable<File> scalaClasspath, ScalaDocOptions docOptions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### AntScalaDoc(org.gradle.api.internal.project.IsolatedAntBuilder antBuilder)

    - #### AntScalaDoc(org.gradle.api.internal.project.IsolatedAntBuilder antBuilder, Iterable<File> bootclasspathFiles, Iterable<File> extensionDirs)

  - ### Method Detail

    - #### void execute(FileCollection source, File targetDir, Iterable<File> classpathFiles, Iterable<File> scalaClasspath, ScalaDocOptions docOptions)